org.richfaces.renderkit.html

## Class PickListRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.SelectManyRendererBase
        - - org.richfaces.renderkit.PickListRendererBase
          - - org.richfaces.renderkit.html.PickListRenderer

-     public class PickListRenderer
      extends PickListRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.PickListRendererBase

      `CSS_PREFIX`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickListRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.PickListRendererBase

      `encodeSourceHeader, encodeSourceItems, encodeSourceRows, encodeTargetHeader, encodeTargetItems, encodeTargetRows, getButtonClass`

    - ### Methods inherited from class org.richfaces.renderkit.SelectManyRendererBase

      `csvEncodeSelectedItems, doDecode, encodeHeightAndWidth, getButtonClass, getClientSelectItems, getConvertedValue, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, hasColumnChildren, isHeaderExists`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PickListRenderer

          public PickListRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.